package com.ydl.ydlcommon.utils.actionutil

import com.ydl.ydlcommon.base.BaseApp
import com.ydl.ydlcommon.base.config.YDLConstants


/**
 * Created by xj on 2019/7/1.
 */
class BIConstants{
    companion object {
        /**
         * 消息端来源
         */
        const val APP_ID = "ydl-app-android-user" //这是用户端主包的

        /**
         * 操作系统
         */
        const val OS = "Android" //android系统

        /**
         * 埋点板块
         */
        const val PART_ID_LOGIN_MAIN = "login_main"
        //咨询筛选页
        const val PART_ID_CONSULT_FILTER_PAGE = "consult_filter_page"
        //百度监测 应用启动行为
        const val WELCOME_PAGE = "welcome_page"
        //百度监测 用户注册行为
        const val APP_REGISTER_PAGE = "app_register_page"

        /**
         * position
         * 点击类型
         */
        const val POSITION_LOGIN_CLICK = "login_click" //登录点击
        const val POSITION_LOGIN_SUCCESS_CLICK = "login_success_click" //登录成功点击
        //咨询筛选页
        const val POSITION_CONSULT_TYPE_CLICK = "consult_type_click" //咨询方式
        const val POSITION_AVERAGE_SERVICE_INPUT = "average_service_input" //服务均价
        const val POSITION_AGE_CHOICE_CLICK = "age_choice_click" //年龄选择
        const val POSITION_QUALIFICATION_CHOICE_CLICK = "qualification_choice_click" //资质选择
        const val POSITION_OTHER_CHOICE_CLICK = "other_choice_click" //其他选择
        const val POSITION_CONSULT_FILTER_RESET_CLICK = "consult_filter_reset_click" //重置
        const val POSITION_CONSULT_FILTER_CHECKOUT_CLICK = "consult_filter_checkoutallconsultants_click" //查看XXX位咨询师
        //百度监测 应用启动
        const val POSITION_APP_START_UP_CLICK = "app_start_up_click" //应用启动
        //百度监测 用户注册
        const val POSITION_WX_REGISTER_CLICK = "wx_register_click" //微信第一次登录
        const val POSITION_QQ_REGISTER_CLICK = "qq_register_click" //QQ第一次登录
        const val POSITION_PHONE_REGISTER_CLICK = "phone_register_click" //手机号密码第一次登录
        const val POSITION_ALIYUN_REGISTER_CLICK = "aliyun_register_click" //阿里云第一次一键登录
        const val POSITION_CODE_REGISTER_CLICK = "code_register_click" //短信第一次登录
        //随便逛逛点击
        const val POSITION_LOOK_AROUND_CLICK = "look_around_click"
        //登录主页浏览事件（包含随便逛逛）
        const val POSITION_LOGIN_ONE_PAGE_VISIT = "login_main_one_page_visit"
        //登录主页浏览事件（不包含随便逛逛）
        const val POSITION_LOGIN_TWO_PAGE_VISIT = "login_main_two_page_visit"


        /**
         * action type
         * 行为数据埋点，sign1字段 是对同一key下多种不同行为的描述
         */
        const val ACTION_TYPE_CODE_LOGIN: String = "code_login" //验证码登录
        const val ACTION_TYPE_RESET_PWD: String = "reset_pwd" //重置密码登录
        const val ACTION_TYPE_PWD_LOGIN: String = "pwd_login" //手机号密码登录
        const val ACTION_TYPE_DIRECT_LOGIN: String = "direct_login" //一键登录
        const val ACTION_TYPE_QQ_THIRD_LOGIN: String = "qq_login" //QQ登录
        const val ACTION_TYPE_WX_THIRD_LOGIN: String = "wx_login" //WX登录
    }

    //====================壹点灵用户版首页（ydl_user_main_page）====================
    class UserMainEvent {
        companion object {

            private const val YDL_USER_MAIN_PAGE: String = "ydl_user_main_page|"//壹点灵用户版首页    partId

            const val YDL_USER_SEARCH_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_search_click"//搜索栏
            const val YDL_USER_TELEPHONE_CUSTOMER_SERVICE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_telephone_customer_service_click"//电话客服
            const val YDL_USER_BANNER_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_banner_click"//banner
            const val YDL_USER_NOTICE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_notice_click"//公告
            const val YDL_USER_CONSULT_CLASSIFICATION_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_consult_classification_click"//首页咨询分类
            const val YDL_USER_CONSULT_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_consult_click"//四个大按钮 心理咨询点击人数
            const val YDL_USER_TALK_IN_TIME_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_talk_in_time_click"//四个大按钮 即时倾诉点击人数
            const val YDL_USER_PSYCHOLOGICAL_CLASSROOM_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_psychological_classroom_click"//四个大按钮 心理课堂点击人数
            const val YDL_USER_PSYCHOLOGICAL_TEST_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_psychological_test_click"//四个大按钮 心理测试点击人数
            const val YDL_USER_CONSULT_MORE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_consult_more_click"//咨询解惑更多
            const val YDL_USER_CONSULT_TYPE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_consult_type_click"//咨询解惑分类标签
            const val YDL_USER_EXPERT_INTRODUCTION_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_expert_introduction_click"//咨询师介绍模块
            const val YDL_USER_PRIVATE_CHAT_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_private_chat_click"//咨询师私聊按钮
            const val YDL_USER_LISTEN_MORE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_listen_more_click"//倾诉排解更多
            const val YDL_USER_LISTEN_TYPE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_listen_type_click"//倾诉排解分类标签
            const val YDL_USER_LISTENER_INTRODUCTION_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_listener_introduction_click "//倾诉师介绍模块
            const val YDL_USER_COURSE_MORE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_course_more_click"//课程成长更多
            const val YDL_USER_COURSE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_course_click"//课程标题图区域
            const val YDL_USER_ASK_MORE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_ask_more_click"//解忧问答更多
            const val YDL_USER_ASK_COMMENT_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_ask_comment_click"//问答评论区域
            const val YDL_USER_HEART_RADIO_MORE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_heart_radio_more_click"//心灵电台更多
            const val YDL_USER_RADIO_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_radio_click "//区域内四个标题
            const val YDL_USER_RADIO_PLAY_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_radio_play_click"//心灵电台play按钮点击
            const val YDL_USER_ARTICLE_MORE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_article_more_click"//文章阅读更多
            const val YDL_USER_ARTICLE_CLICK: String = YDL_USER_MAIN_PAGE + "ydl_user_article_click"//文章标题图区域
            const val YDL_USER_MAIN_PAGE_VISIT: String = YDL_USER_MAIN_PAGE + "ydl_user_main_page_visit "//首页浏览事件
        }
    }

    //====================APP咨询列表页（app_consult_list_page）====================
    class ConsultEvent {
        companion object {
            private const val APP_CONSULT_LIST_PAGE: String = "app_consult_list_page|"//APP咨询列表页  partId

            const val APP_CONSULT_LIST_PAGE_VISIT: String = APP_CONSULT_LIST_PAGE + "app_consult_list_page_visit"//列表页浏览事件
            const val APP_CONSULT_LIST_CONSULT_GUIDE_CLICK: String = APP_CONSULT_LIST_PAGE + "app_consult_list_consult_guide_click "//咨询指南
            const val APP_CONSULT_LIST_ONLINE_CUSTOMER_CLICK: String = APP_CONSULT_LIST_PAGE + "app_consult_list_online_customer_click"//在线客服
            const val APP_CONSULT_LIST_THEME_CLICK: String = APP_CONSULT_LIST_PAGE + "app_consult_list_theme_click "//主题全部
            const val APP_CONSULT_LIST_AREA_CLICK: String = APP_CONSULT_LIST_PAGE + "app_consult_list_area_click"//地区各个地区
            const val APP_CONSULT_LIST_SORT_CLICK: String = APP_CONSULT_LIST_PAGE + "app_consult_list_sort_click"//排序综合排序
            const val APP_CONSULT_LIST_DOCTOR_CLICK: String = APP_CONSULT_LIST_PAGE + "app_consult_list_doctor_click"//每个咨询师页面点击
            const val APP_CONSULT_LIST_CHAT_CLICK: String = APP_CONSULT_LIST_PAGE + "app_consult_list_chat_click"//每个咨询师私聊
        }
    }

}